import { RecordModel } from "pocketbase"

export namespace DB {
  export interface Pipeline extends RecordModel {
    project_id: string
    user_id: string
    pipeline_id: number
    ref: string
    status: string
    web_url: string
    // 2024-03-06 02:53:59.509Z
    created_at: string
    started_at: string
    finished_at: string
    duration: number
    queued_duration: number
  }

  export interface Project extends RecordModel {
    project_id: number
    description: string
    name: string
    path_with_namespace: string
    web_url: string
    avatar_url: string
    has_new_cicd: boolean
  }

  export interface User extends RecordModel {
    user_id: number
    username: string
    name: string
    avatar_url: string
    web_url: string
  }

  export interface StatisticsPerWeek extends RecordModel {
    week: string
    total_count: number
    failed_count: number
    success_count: number
    success_rate: number
    duration: number
  }

  export interface StatisticsPerProj extends RecordModel {
    week: string
    name: string
    duration: number
    ref: string
  }
}
